function modelT = buildModelPlotConfig()
    % Written by
    %   Alessandro Motta <alessandro.motta@brain.mpg.de>
    
    data = { ...
        'ER', 'ER-ESN', [29, 29, 27] / 255; ...
        'EXP', 'EXP-LSM', [105, 182, 230] / 255; ...
        'LL', 'LAYERED', [230, 161, 0] / 255; ...
        'SYN', 'SYNFIRE', [211, 88, 21] / 255; ...
        'FEVER', 'FEVER', [245, 228, 45] / 255; ...
        'API', 'API', [0, 109, 176] / 255; ...
        'SORN', 'STDP-SORN', [0, 152, 106] / 255};
    
    varNames = {'tag', 'title', 'color'};
    modelT = cell2table(data, 'VariableNames', varNames);
end
